Description

Supportanfrage

ich habe gesehen, dass in den Beispielen von ADTF 3.6.2 die DemoTriggerFilter(Data, Threaed, Time) nicht länger von

cTriggerFunction abgeleitet sind sondern jetzt auch von cFilter.

cTriggerFunction wurde doch extra eingeführt um die Erstellung der Filter zu erleichtern....

Gibt es dafür einen bestimmten Grund? Im Changelog konnte ich keinen Eintrag finden, der diese Änderung erklärt.

Lösung

Bitte hierzu einen Blick auf die Release Notes der 3.5 werfen: https://support.digitalwerk.net/news/67

In der 3.5 haben wir die Filter API grundlegend überarbeitet, da sich der Trigger Function Ansatz als zu unflexibel dargestellt hat und

man, wenn man komplexere "Filter" implementieren wollte, auf die doch sehr komplizierte adtf::streaming::cFilter API mit vielen freien

Funktionen umsteigen musste.

Dafür gibt es jetzt adtf::filter::cFilter als Basisklasse mit der man noch einfacher als mit den Trigger Functions Filter erstellen kann,

aber nichts von der Flexibilität eines vollwertigen Filters einbüßt.

Wenn Du dich etwas mit der neuen API vertraut gemacht hast (ich lege dir die Doku von cGraphObject ans Herz: 

https://support.digitalwerk.net/adtf/v3/adtf_html/classadtf_1_1filter_1_1flash_1_1c_graph_object.html), wirst Du nicht mehr zurück

wollen.

Die Trigger Functions werden aber weiterhin unterstützt, alten Code musst Du also nicht wegschmeißen, aber es kommen keine

neuen Funktionen mehr hinzu.

History

#1 - 2019-11-05 11:10 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::SDK

- Customer set to AUDI

- Department set to AST

- Affected Products ADTF 3.6.2 added

#2 - 2019-11-05 11:25 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Niclas,

Bitte hierzu einen Blick auf die Release Notes der 3.5 werfen: https://support.digitalwerk.net/news/67

In der 3.5 haben wir die Filter API grundlegend überarbeitet, da sich der Trigger Function Ansatz als zu unflexibel dargestellt hat und man, wenn man
komplexere "Filter" implementieren wollte, auf die doch sehr komplizierte adtf::streaming::cFilter API mit vielen freien Funktionen umsteigen musste.

Dafür gibt es jetzt adtf::filter::cFilter als Basisklasse mit der man noch einfacher als mit den Trigger Functions Filter erstellen kann, aber nichts von der

Flexibilität eines vollwertigen Filters einbüßt.

Wenn Du dich etwas mit der neuen API vertraut gemacht hast (ich lege dir die Doku von cGraphObject ans Herz: 

https://support.digitalwerk.net/adtf/v3/adtf_html/classadtf_1_1filter_1_1flash_1_1c_graph_object.html), wirst Du nicht mehr zurück wollen.

Die Trigger Functions werden aber weiterhin unterstützt, alten Code musst Du also nicht wegschmeißen, aber es kommen keine neuen Funktionen

mehr hinzu.

Bei Fragen bitte jederzeit melden.

Grüße,

Martin

#3 - 2019-11-13 13:49 - hidden

- Subject changed from Änderung von cTriggerFunction zu cFilter to Examples don't use cTriggerFunction anymore

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#4 - 2020-07-07 12:45 - hidden

- Status changed from To Be Closed to Closed
